import { Children, cloneElement } from 'react';
import PropTypes from 'prop-types';
import { CLASS_CONTAINER, CLASS_ICON_CLEAR } from './config.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export var InputWithClearUI = function InputWithClearUI(props) {
  var onClickClear = props.onClickClear,
      isVisibleClear = props.isVisibleClear,
      iconClear = props.iconClear,
      children = props.children;

  var extendedChildren = function extendedChildren() {
    return Children.toArray(children).filter(Boolean).map(function (child, index) {
      return /*#__PURE__*/cloneElement(child, props);
    });
  };

  return /*#__PURE__*/_jsxs("div", {
    className: CLASS_CONTAINER,
    children: [extendedChildren(), !!isVisibleClear && iconClear && /*#__PURE__*/_jsx("span", {
      className: CLASS_ICON_CLEAR,
      onClick: onClickClear,
      children: iconClear
    })]
  });
};
InputWithClearUI.displayName = 'InputWithClearUI';